#
# spec file for package gconf2-branding-SLES
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         build_openSUSE 0
%define         build_SLED 0
%define         build_SLES 1

%if %build_openSUSE
%define         branding_name openSUSE
%define         pkg_version   42.3
%endif # %%build_openSUSE
%if %build_SLED
%define         branding_name SLED
%define         pkg_version   12
%endif
%if %build_SLES
%define         branding_name SLES
%define         pkg_version   12
%endif

# Do not edit this auto generated file! Edit gconf2-branding.spec.in.
Name:           gconf2-branding-SLES
Summary:        SLES defaults for the GNOME configuration system
License:        BSD-3-Clause
Group:          System/GUI/GNOME
Version:        %{pkg_version}
Release:        bp154.1.127
Url:            http://projects.gnome.org/gconf/
Source:         gconf2-branding_spec-prepare.sh
Source3:        gconf2-branding-COPYING
%if %build_SLES
# Novell sound theme
Source30:       novell-sound-index.theme
Source31:       novell-sound-desktop-login.ogg
%endif
Source99:       HACKING
BuildRequires:  gconf2
# For directory ownership of %{_datadir}/backgrounds:
# BuildRequires:  gnome-themes
%define gconf2_version %(rpm -q --qf '%%{version}' gconf2)
Requires:       gconf2 = %{gconf2_version}
Provides:       gconf2-branding = %{gconf2_version}
Conflicts:      otherproviders(gconf2-branding)
Supplements:    packageand(gconf2:branding-SLES)
#BRAND: gconf2-branding-openSUSE provides branding Look and Feel using
#BRAND: gconf schemas. All referenced files must be present in this
#BRAND: package or in required packages.
%if %build_SLES
# Sound theme
Requires:       novell-sound-theme
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides SLES defaults for configurations based
on GConf database system.

%if %build_SLES
%package -n novell-sound-theme
Summary:        Novell Sound Theme
# the sound theme inherits from the freedesktop one
Group:          System/GUI/GNOME
Requires:       sound-theme-freedesktop

%description -n novell-sound-theme
This packages provides the default sound theme by Novell.
%endif

%prep
%setup -q -T -c %{name}-%{version}
cp -a %{S:3} COPYING

%build

%install
#
# sound theme
%if %build_SLES
install -d $RPM_BUILD_ROOT%{_datadir}/sounds/novell/stereo
install -m0644 %{S:30} $RPM_BUILD_ROOT%{_datadir}/sounds/novell/index.theme
install -m0644 %{S:31} $RPM_BUILD_ROOT%{_datadir}/sounds/novell/stereo/desktop-login.ogg
%endif
#
# http://en.opensuse.org/GNOME/Projects/SchemasChanges
# Only vendor preferences are allowed here.
# Stuff to "Make OpenSUSE working must remain in particular packages!
%define gconf_call gconftool-2 --direct --config-source=xml::$RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.vendor
%define gconf_set %gconf_call --set
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.vendor
# Icon used on gdm greeter
%gconf_set /apps/gdm/simple-greeter/logo_icon_name --type=string "distributor"
# No user list in GDM for SLED/SLES
%if %build_SLED || %build_SLES
%gconf_set /apps/gdm/simple-greeter/disable_user_list --type=bool "true"
%endif
%gconf_set /apps/gnome-terminal/global/use_mnemonics --type=bool "false"
%gconf_set /apps/gnome-terminal/global/use_menu_accelerators --type=bool "false"
# This is not needed anymore strictly speaking, with the move to x-scheme-handler, but Firefox still checks for those keys and some apps might do the same:
%gconf_set /desktop/gnome/url-handlers/http/command --type=string "firefox %s"
%gconf_set /desktop/gnome/url-handlers/http/enabled --type=bool "true"
%gconf_set /desktop/gnome/url-handlers/https/command --type=string "firefox %s"
%gconf_set /desktop/gnome/url-handlers/https/enabled --type=bool "true"
# Use xchat for irc
%gconf_set /desktop/gnome/url-handlers/irc/command --type=string "xchat --existing --url=%s"
%gconf_set /desktop/gnome/url-handlers/irc/enabled --type=bool "true"
# We want to use pulseaudio by default; this makes empathy calls work better
%gconf_set /system/gstreamer/0.10/default/audiosrc --type=string "pulsesrc"
#
# Merge is optional, but one larger file is better than many small files:
gconf-merge-tree $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.vendor
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.vendor/*/*
rmdir $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.vendor/* 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%verify(not md5 size mtime) %{_sysconfdir}/gconf/gconf.xml.vendor/*

%if %build_SLES
%files -n novell-sound-theme
%defattr(-,root,root)
%doc COPYING
%{_datadir}/sounds/novell/
%endif

%changelog
* Tue Jul  4 2017 astieger@suse.com
- do not build novell-sound-theme in the gconf2-branding-SLED build
  to prevent duplicated binaries in openSUSE Leap. The
  novell-sound-theme is taken from gconf2-branding-SLES sources on
  both the SLED product and the SLES WE module. bsc#1046099
- bump versions
* Sun Oct 12 2014 zaitor@opensuse.org
- Bump version to 42.1, to prepare for next version of openSUSE.
* Sun May  4 2014 zaitor@opensuse.org
- Bump version to 13.2, to prepare for next version of openSUSE.
* Sun Sep  8 2013 zaitor@opensuse.org
- Bump version to 13.1, to prepare for next version of openSUSE.
* Wed May 23 2012 vuntz@opensuse.org
- Bump version to 12.2, to prepare for next version of openSUSE.
* Thu May 10 2012 gber@opensuse.org
- Set /desktop/gnome/url-handlers/http/enabled and
  /desktop/gnome/url-handlers/https/enabled to "true" since firefox
  checks for them.
* Fri Mar  9 2012 vuntz@opensuse.org
- Remove system-wide desktop icons:
  + This was done with a patch that won't get used anymore, see
    discussion in bnc#533598.
  + Drop GnomeOnlineHelp.desktop and suse-help.svg sources.
  + Stop changing /apps/nautilus/desktop/predefined_items_dir.
- Update for metacity/mutter move to GSettings:
  + Stop changing /apps/metacity/general/audible_bell.
  + Remove commented entries for /apps/metacity/general/theme,
    /apps/metacity/general/titlebar_font,
    /desktop/gnome/shell/windows/theme.
- Update after drop of gnome-main-menu and move to GNOME 3 in
  general:
  + Stop changing
    /apps/metacity/global_keybindings/panel_main_menu_list.
- Update after drop of PolicyKit-gnome:
  + Stop changing
  /desktop/gnome/policykit/auth_dialog_retain_authorization.
* Thu Oct 13 2011 vuntz@opensuse.org
- Remove %%{release} from the gconf2 versioned Requires, to not
  have to rebuild this package each time gconf2 rebuilds to keep
  it installable.
* Tue Oct  4 2011 vuntz@opensuse.org
- Remove openSUSE-dynamic-wallpaper subpackage: this has now moved
  to the branding-openSUSE source package.
- Remove openSUSE-dynamic-wallpapers-old: this is moving to a new
  dynamic-wallpapers-11x source package. Also remove the
  gnome-wallpaper-* source files that were needed only for this.
- Remove now unneeded desktop-data-openSUSE BuildRequires: this was
  only needed for the dynamic wallpaper.
- Stop changing /apps/gnome_settings_daemon/toggle_mute gconf key:
  this is now handled with a GSettings override, in
  glib2-branding-openSUSE.
* Sun Sep 25 2011 vuntz@opensuse.org
- Update after move of default wallpaper to branding-openSUSE: the
  .xml file describing the default wallpaper is now called
  wallpaper-branding-openSUSE, instead of desktop-data-openSUSE.
  This fixes the build.
* Fri Jul  1 2011 vuntz@opensuse.org
- Completely drop panel layout branding, as this is not handled in
  gconf anymore:
  + Drop panel-default-setup.entries source file.
  + Drop gnome-panel-layout.patch, gnome-panel-layout-SLES.patch.
  + Remove gnome-panel-branding-%%{branding_name} subpackage.
  + Remove gnome-panel BuildRequires.
- Remove default values for keys that are moved to GSettings (and
  set in the new gio-branding-openSUSE), as part of bnc#676301 and
  bnc#687780:
  + /apps/epiphany/general/homepage
  + /schemas/apps/window_list_applet/prefs/display_all_workspaces
  + /apps/gnome-power-manager/actions/sleep_type_battery
  + /apps/gnome-power-manager/notify/idle_sleep
  + /apps/gnome-power-manager/timeout/sleep_display_ac
  + /apps/gnome-power-manager/timeout/sleep_computer_battery
  + /apps/gnome-power-manager/timeout/sleep_computer_ac
  + /apps/gnome_settings_daemon/gtk-modules/pk-gtk-module
  + /apps/gnome_settings_daemon/keybindings/help
  + /desktop/gnome/peripherals/keyboard/general/groupPerWindow
  + /desktop/gnome/background/picture_filename
  + /desktop/gnome/background/picture_options
  + /desktop/gnome/background/primary_color
  + /desktop/gnome/background/secondary_color
  + /desktop/gnome/interface/accessibility
  + /desktop/gnome/interface/icon_theme
  + /desktop/gnome/interface/gtk_theme
  + /desktop/gnome/peripherals/mouse/cursor_theme
  + /desktop/gnome/sound/event_sounds
  + /desktop/gnome/sound/theme_name
  + /apps/nautilus/preferences/preview_sound
- Remove default values that are now obsolete:
  + /apps/control-center/cc_actions_list: the control center has
    completely changed, and has nothing similar anymore
  + /apps/gnome-packagekit/enable_check_hardware:
    gnome-settings-daemon always checks for hardware now (and uses
    udev instead of hal)
  + /desktop/gnome/session/required_components/windowmanager:
    this is now defined in gnome-session .session files. We used
    gnome-wm to easily allow the use of compiz; now compiz should
    provide a .session file (bnc#676360)
  + /apps/gnome_settings_daemon/xrandr/show_notification_icon:
    there is no such xrandr notification icon anymore
  + /apps/procman/proctree/col_15_visible: the memory column in the
    system monitor is now giving reasonable values, so we don't
    need to hide it by default anymore
  + /desktop/gnome/url-handlers/ftp/command,
    /desktop/gnome/applications/browser/exec: this is now handled
    with the MIME type system, (with
    x-scheme-handler/{http,https,ftp} MIME types). Note that we
    keep /desktop/gnome/url-handlers/http/command and
    /desktop/gnome/url-handlers/https/command, but only because
    Firefox looks at them to know if it's the default browser.
  + /desktop/gnome/file_views/icon_theme: there is no such key
    anymore (the general icon theme is used, I think)
  + /desktop/gnome/sound/enable_esd: esound is not used anymore
  + /apps/nautilus/desktop/computer_icon_visible: we don't show the
    desktop by default anymore, so no need to change this
  + /apps/notification-daemon/popup_location,
    /apps/notification-daemon/theme: notification-daemon is not
    configurable anymore
- Stop changing window theme-related keys, as we do not have any
  other good theme than the upstream one for GNOME 3, right now:
  + /apps/metacity/general/theme
  + /apps/metacity/general/titlebar_font
  + /desktop/gnome/shell/windows/theme
- Set /system/gstreamer/0.10/default/audiosrc to pulsesrc, as we
  use PulseAudio. This makes empathy calls work better.
- Remove Requires that are related to gconf keys removed above:
  desktop-data-%%{desktop_data}, sonar-icon-theme,
  gtk2-metatheme-sonar, dmz-icon-theme-cursors, fifth-leg-font.
- Change back Supplements from
  packageand(gnome-session:branding-%%{branding_name}) to
  packageand(gconf2:branding-%%{branding_name}) as there is no
  Requires anymore for the branding package, and so it's no issue
  to have this package installed in non-GNOME setups.
- Add a Requires for gconf2, since the branding package is useless
  without it. Remove gconf2 PreReq, since we don't need gconf2
  before installation.
- Add Url tag.
* Fri Feb 25 2011 vuntz@opensuse.org
- Update gnome-panel-layout.patch: make sure there is no empty
  space between the main-menu, tomboy and the window list.
* Mon Feb 21 2011 vuntz@opensuse.org
- Remove support for building on openSUSE < 11.4: the changes we're
  introducing here make it too hard to support the old scheme.
- The default background is now always openSUSE-default.xml:
  + We do this to make sure that the setting on upgrades won't
    cause any issue at all, even if the user chooses to explicitly
    use the default wallpaper.
  + openSUSE-default.xml is a symlink to either the static
    wallpaper from desktop-data-openSUSE or to
    openSUSE-default-dynamic.xml in openSUSE-dynamic-wallpaper.
  + Use update-alternatives in openSUSE-dynamic-wallpaper %%post and
    %%postun to update openSUSE-default.xml. Add appropriate
    Requires.
  + Make openSUSE-default-dynamic.xml a symlink to the current xml
    file for the dynamic wallpaper (stripes.xml).
  + Update gconf key for the default wallpaper to point to
    openSUSE-default.xml.
- As a side-effect, this means we can get rid of all
  %%triggerin/%%triggerpostun scripts, which were not really nice.
- Also, create the gnome-control-center xml file describing the
  dynamic wallpaper from the one of the static version. This will
  ensure consistency.
* Thu Feb 17 2011 vuntz@opensuse.org
- Fix 11.4 dynamic wallpaper to really start at 7AM instead of
  10AM: the timing was done for a start at 7AM, so it felt weird.
* Tue Feb 15 2011 vuntz@opensuse.org
- Update the 11.4 dynamic wallpaper to include the morning variant.
  Thanks to Ivan Čukić!
* Wed Feb  9 2011 vuntz@opensuse.org
- Update to use 11.4 new default wallpaper.
- Add new 11.4 dynamic wallpaper. Move the previous 11.3 dynamic
  wallpaper to openSUSE-dynamic-wallpapers-old.
* Fri Jan 28 2011 gber@opensuse.org
- Add gnome-panel-branding-* dummy package, which requires tomboy
  in order to avoid it as a direct dependency of gconf2-branding-*.
  This fixes bnc#531836.
* Wed Jan 26 2011 vuntz@opensuse.org
- Revert the previous change: some apps might still check the gconf
  keys and having a sensible default there makes sense. Moreoever,
  Firefox itself checks the keys. Fix bnc#665497.
- Set the default theme for GNOME Shell windows
  (/desktop/gnome/shell/windows/theme) to Sonar, since we don't
  have Adwaita at the moment. Fix bnc#666378.
* Thu Jan 13 2011 vuntz@opensuse.org
- Remove setting of Firefox as default browser/ftp client: this is
  now handled with the x-scheme-handler/* mime types.
- Note that Firefox is already marked as default handler for the
  mime types it declares, so it will just work when Firefox will
  declare the appropriate mime types (which will happen soon,
  according to Wolfgang). FTP will open in nautilus, though, but it
  makes sense anyway.
* Sat Jan  8 2011 vuntz@opensuse.org
- Update version to 11.4, to have the same version as
  desktop-data-openSUSE, so it's installable.
- Remove support for openSUSE 11.1, which is not maintained
  anymore.
- Use the appropriate dynamic background as default: we want the
  same dynamic background as the default background for the version
  of openSUSE we're built against. This implies:
  + we define what is the dynamic background for each version
  + we use %%triggerin/%%triggerpostun on openSUSE-dynamic-wallpaper
    or openSUSE-dynamic-wallpapers-old, depending on where the
    appropriate dynamic bckground lives.
* Tue Sep 21 2010 vuntz@opensuse.org
- Move the novell sound theme to a novell-sound-theme subpackage,
  built only for SLE.
- Rework the packaging of dynamic wallpapers:
  + Make all the dynamic wallpapers handling only happen if we
    build the openSUSE package.
  + Rename desktop-data-%%{branding_name}-extra-gnome to
    %%{branding_name}-dynamic-wallpaper (with appropriate
    %%Provides/Obsoletes).
  + Move the old dynamic wallpapers to
    %%{branding_name}-dynamic-wallpapers-old so that
    %%{branding_name}-dynamic-wallpaper is smaller and can be
    installed by default.
  + Add a Supplements on desktop-data-%%{desktop_data} and
    gnome-settings-daemon to %%{branding_name}-dynamic-wallpaper to
    automatically install it by default, and remove the previous
    Enhances (gconf2-branding-%%{branding_name}) and Supplements
    (desktop-data-%%{desktop_data}-extra).
* Sat Sep  4 2010 vuntz@opensuse.org
- Change notifications to appear at the bottom right since our
  default panel is at the bottom. This changes this gconf key:
  /apps/notification-daemon/popup_location. Fix bnc#636846.
* Sun Aug  8 2010 vuntz@opensuse.org
- Change default notification theme to "slider", which is a new
  upstream theme in notification-daemon 0.5. Note that our custom
  "bubble" theme has been removed.
* Sun Aug  8 2010 vuntz@opensuse.org
- Use Sonar icon theme by default instead of Gilouche. Change
  gtk2-metatheme-gilouche Requires to sonar-icon-theme to reflect
  this. Fix bnc#559550.
- Change version to 11.3.
- Make sure to provide the right version of gconf2-branding, based
  on the version of the gconf2 package.
* Thu Jun 17 2010 vuntz@opensuse.org
- The DMZ cursor theme is getting removed from
  desktop-data-openSUSE (see bnc#589293), so we need to explicitly
  change the default here
  (/desktop/gnome/peripherals/mouse/cursor_theme key) and require
  dmz-icon-theme-cursors.
* Wed May 12 2010 vuntz@opensuse.org
- Update for desktop-data-openSUSE change: new version and new
  default background.
- Add 11.3 dynamic background. Fix bnc#604706.
* Fri Feb 12 2010 vuntz@opensuse.org
- Set /apps/gnome-packagekit/enable_check_hardware to true, to move
  some branding from gnome-packagekit here. It used to be set in
  gnome-packagekit_release.patch. Fix bnc#471373.
- Drop suse-icon.tar.bz2 and do not install gdm-suse icons in
  hicolor: they will now be part of hicolor-icon-theme-branding,
  and named distributor.
- Update /apps/gdm/simple-greeter/logo_icon_name to use distributor
  instead of gdm-suse.
* Fri Jan 15 2010 vuntz@opensuse.org
- Remove epiphany BuildRequires and do not set
  /apps/epiphany/web/user_agent_vendor anymore: we can now put a
  branding.conf file in epiphany-branding packages.
* Thu Dec 24 2009 vuntz@opensuse.org
- Set /apps/control-center/cc_actions_list, to show different
  favorite capplets in the control center shell. This changes need
  a patch in gnome-control-center to make sure the strings get
  translated.
- Do not change /apps/nautilus/preferences/always_use_browser:
  upstream has changed to true now.
* Thu Oct  8 2009 vuntz@opensuse.org
- Change tomboy Requires into a Recommends. It's a bit more
  friendly for KDE users who have this package and might not want
  to get tons of new stuff because of this Requires. Improve
  situation a bit for bnc#531836.
* Tue Oct  6 2009 vuntz@opensuse.org
- Use the 11.2 static background by default in the gconf config,
  instead of the 11.1 one. Fix build.
* Fri Oct  2 2009 vuntz@opensuse.org
- Remove desktop file for ggreeter: we'll drop this package since
  it's not working. (It was used here to have the icon on the user
  desktop by default)
* Thu Oct  1 2009 vuntz@opensuse.org
- Bump version to 2.28.
- Add new dynamic background with new branding, from Jakub Steiner.
- Keep the 11.1 dynamic backround available for people who want it.
* Mon Sep 21 2009 dimstar@opensuse.org
- Set /desktop/gnome/peripherals/keyboard/general/groupPerWindow to
  false, fixes bnc#540014.
* Mon Sep 14 2009 vuntz@opensuse.org
- Disable the PackageKit GTK+ module, which is used to install
  missing font. It's too spammy, and doesn't work in openSUSE at
  the moment.
* Wed Aug 26 2009 vuntz@novell.com
- Add HACKING to list of Source files.
- Fix previous change: patch0 has to be changed in
  gconf2-branding.spec.in.
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Aug 17 2009 coolo@novell.com
- fix the supplements of this package, it's heavily misnamed
  as it defines the GNOME desktop, but is bound to the very basic
  package gconf2
* Wed Aug  5 2009 vuntz@novell.com
- Requires tomboy on openSUSE and SLED since it's in the default
  panel layout. Fix bnc#518226.
* Mon Aug  3 2009 vuntz@novell.com
- Set /apps/epiphany/web/user_agent_vendor to SUSE/version-release.
* Wed Jul 29 2009 vuntz@novell.com
- Remove all the gnome-session-branding part: there's no branding
  there anymore:
  + Remove gconf2-branding-gnome-splash.png.
  + Do not set /apps/gnome-session/options/splash_image gconf key.
  + Do not provide gnome-session-branding*.
  + Do not supplement gnome-session and branding.
- Move ownership of datadir/backgrounds to
  desktop-data-openSUSE-extra-gnome.
* Mon May 25 2009 vuntz@novell.com
- Merge change from SLED: Add a novell sound theme, which changes
  the login sound. (only for the SLE package)
* Mon May 25 2009 vuntz@novell.com
- Replace gtk2-theme-openSUSE with gtk2-metatheme-gilouche.
* Tue May 19 2009 vuntz@novell.com
- Change default gtk+ and metacity theme to Sonar.
- Change default metacity font to FifthLeg Bold 12.
- Add Requires on gtk2-metatheme-sonar and fifth-leg-font.
* Tue May 12 2009 vuntz@novell.com
- Set /desktop/gnome/policykit/auth_dialog_retain_authorization to
  false. This removes a PolicyKit-gnome patch to not retain
  authorizations by default (bnc#431569).
- Bump version to 2.26, since we have GNOME 2.26.
* Tue Mar 10 2009 vuntz@novell.com
- On openSUSE 11.1, make it require desktop-data-openSUSE 11.1.
* Mon Mar  2 2009 vuntz@novell.com
- Update panel-default-setup.entries to latest upstream.
- Update gnome-panel-layout.patch to apply.
- Change gnome-panel-layout-SLES.patch to be a patch on top of
  gnome-panel-layout.patch for easier maintenance.
* Thu Feb 19 2009 vuntz@novell.com
- Set /apps/gnome_settings_daemon/toggle_mute to FALSE. This key
  comes from a patch we added in gnome-settings-daemon. The default
  behavior is upstream's, and we change it to fix bnc#462640.
* Fri Feb 13 2009 vuntz@novell.com
- Remove /apps/panel/global/disable_movement changes: our patch
  that adds this key has been removed thanks to a new upstream
  feature.
- Update panel-default-setup.entries to latest upstream.
- Update gnome-panel-layout-SLES.patch and gnome-panel-layout.patch
  to remove disable_movement there too.
* Mon Feb  9 2009 vuntz@novell.com
- Requires desktop-data-openSUSE 11.2 instead of 11.1.
* Thu Jan  8 2009 hfiguiere@novell.com
- Update homepage for SLE11. bnc#461752
* Mon Nov 17 2008 ro@suse.de
- make sure trigger scripts do not fail
* Fri Nov 14 2008 vuntz@novell.com
- Set /apps/gdm/simple-greeter/disable_user_list to true not false.
  Really fix bnc#439220.
* Wed Nov 12 2008 kukuk@suse.de
- Add PreReq: gconf2
* Sun Nov  9 2008 vuntz@novell.com
- Rename suse icons to gdm-suse to avoid conflict with
  yast2-theme-openSUSE.
* Fri Nov  7 2008 vuntz@novell.com
- Set /apps/gnome-power-manager/notify/idle_sleep to TRUE (moved
  the default from gnome-power-manager to here, so we are upstream
  compliant without the branding package).
* Fri Nov  7 2008 hmacht@suse.de
- disable auto suspend and apply the other changes to all distros
  (fate#305393)
* Fri Nov  7 2008 vuntz@novell.com
- Update dynamic background for new branding. Fix bnc#442560. We
  keep the old one for openSUSE, though (see Jakub's request in the
  bug).
* Thu Nov  6 2008 vuntz@novell.com
- Don't show the user list in GDM for SLED/SLES. Fix bnc#439220.
- Add suse icons and use them in the GDM greeter. Part of
  bnc#436431.
- Move icons of the desktop files from gnome-session to here.
* Thu Nov  6 2008 hmacht@suse.de
- Disable Energy Star compliant settings for openSUSE
* Tue Nov  4 2008 vuntz@novell.com
- Use the right version for desktop-data-openSUSE-extra-gnome.
  Part of bnc#440849.
- Remove changes for gnome-volume-manager: we dropped
  gnome-volume-manager.
* Mon Nov  3 2008 rodrigo@novell.com
- Disable Energy compliant settings for SLES
- Enable xrandr notification icon by default (bnc#440868)
- Added HACKING file
* Fri Oct 31 2008 jpr@suse.de
- Require desktop-data-SLED 11  not 11.1 on SLED/SLES
* Thu Oct 30 2008 vuntz@novell.com
- Fix build for SLED/SLES: the filename of the default wallpaper
  changed.
* Wed Oct 22 2008 vuntz@suse.de
- Only install GnomeOnlineHelp.desktop and SuSE.desktop in
  /usr/share/dist/desktop-files for openSUSE.
* Fri Oct 17 2008 vuntz@novell.com
- Merge the openSUSE/SLED/SLES gconf2-branding packages, for
  easier maintenance.
- Remove use of %%sles_version and do the appropriate thing so that
  what we wanted to have in SLES/SLED and not in openSUSE happens.
- Remove /apps/gnome-power-manager/ui/cpufreq_show change: this
  feature was removed upstream.
- Remove branding for volume_mute, volume_down, volume_up, eject,
  search, email, www since upstream has the right values now.
- Use XF86Help for the help keybinding instead of 0xf5.
- Bump version to 2.24, since we have gconf2 2.24.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Tue Sep 30 2008 sbrabec@suse.cz
- Fixed directory ownership.
* Mon Sep 22 2008 federico@novell.com 
- Install GnomeOnlineHelp.desktop and SuSE.desktop in
  /usr/share/dist/desktop-files, and set the GConf key
  /apps/nautilus/desktop/predefined_items_dir to point to that
  directory.  This is the new way to define .desktop items that will
  appear in users' desktops.
* Thu Sep 18 2008 rodrigo@suse.de
- Moved gnome-power-manager-energy-star.patch here, adding default
  Energy Star compliant default configuration (fate#304708)
* Wed Sep 10 2008 rodrigo@novell.com
- Set gnome-wm script as default window manager, so that we can
  start compiz whenever the hardware allows (fate#304762)
* Tue Jul 22 2008 vuntz@novell.com
- Keep upstream default for the number of workspace (4).
- Change panel layout to have the workspace switcher by default.
* Tue Jul 15 2008 coolo@suse.de
- adapt the required openSUSE version
* Tue Jun 24 2008 rodrigo@suse.de
- Disable ESD startup by default to avoid weird things happening
  when running GNOME apps with root (YaST) (bnc#387052)
* Thu May 29 2008 sbrabec@suse.cz
- Use Gilouche theme instead of Industrial (bnc#391865).
* Tue May 20 2008 rodrigo@suse.de
- Updated gnome-panel-layout.patch to re-add the mixer applet to
  default setups, now that it uses PulseAudio's volume control
* Tue May 13 2008 vuntz@suse.de
- Change the way we activate the main menu with the flag keys.
  Instead of relying on a patch that breaks in some cases (see
  bnc#372423), we use Super_L and Super_R in
  /apps/metacity/global_keybindings/panel_main_menu_list
* Thu May  1 2008 vuntz@suse.de
- Add irc: URL handler for xchat. Fix bnc#372232.
* Tue Apr 29 2008 vuntz@suse.de
- Fix the path to the default background in gconf
  (s/backgrounds/wallpapers/)
* Tue Apr 29 2008 vuntz@suse.de
- Don't set the following settings (consensus reached on mailing
  list):
  + /apps/file-roller/listing/list_mode to "all_files"
  + /apps/ghex2/datafont to "Courier Bold 12"
  + /apps/ghex2/headerfont to "Courier Bold 12"
  + /apps/stickynotes_applet/defaults/color to "#E1D54B"
  + /apps/stickynotes_applet/settings/use_system_color to "false"
  + /desktop/gnome/volume_manager/autoplay_cda_command to "banshee
  - -play --audio-cd %%d"
  + /desktop/gnome/volume_manager/autoburn_audio_cd_command to
    "banshee --burn-cd %%d"
  + /desktop/gnome/volume_manager/autoipod_command to "banshee
  - -dap %%h"
  + /desktop/gnome/volume_manager/autoburn to "true"
  + /desktop/gnome/volume_manager/autoplay_dvd to "true"
  + /desktop/gnome/volume_manager/autoipod to "true"
- Note that banshee will still be the default command for CD/music
  players -- it just moved from gnome-volume-manager to nautilus
  and some mime type magic.
- Remove duplicate /desktop/gnome/sound/enable_esd
- Change the default epiphany homepage to www.opensuse.org
* Wed Apr 23 2008 rodrigo@suse.de
- Start sound server (PulseAudio) by default (bnc#377065)
* Mon Apr 21 2008 sbrabec@suse.cz
- gnome-wallpaper-openSUSE renamed to
  desktop-data-openSUSE-extra-gnome to better reflect other package
  names.
- desktop-data-openSUSE-extra-gnome now supplements
  desktop-data-openSUSE-extra.
* Thu Apr 17 2008 sbrabec@suse.cz
- Removed background symlinks and handle it correctly in
  desktop-data-openSUSE.
* Wed Apr 16 2008 sbrabec@suse.cz
- Default background fixes (bnc#369924):
  * Use wallpaper file from desktop-data-openSUSE.
  * New optional dynamic wallpaper in gnome-wallpaper-openSUSE
    package.
  * Symliked all desktop-data-openSUSE wallpapers for convenience.
* Mon Apr 14 2008 mrueckert@suse.de
- dont require packages just for the directory ownership.
* Mon Apr 14 2008 sbrabec@suse.cz
- Added openSUSE 11.0 GNOME splash (bnc#361234).
- Added openSUSE 11.0 default background (bnc#369924).
- Use packageand form of branding supplement.
* Wed Apr  9 2008 sbrabec@suse.cz
- Added COPYING file (bnc#369961).
* Mon Apr  7 2008 sbrabec@suse.cz
- Require gtk2-theme-openSUSE containing Metacity theme Gilouche.
* Tue Apr  1 2008 vuntz@suse.de
- Don't turn on metacity compositing manager by default. It might
  not work well for everybody, so stay with upstream default for
  now (ie, disabled by default).
* Thu Mar 20 2008 sbrabec@suse.cz
- Fixed windows keys settings: On for SLED, Off for openSUSE.
* Wed Mar 19 2008 rodrigo@suse.de
- Removed mixer applet from default panel configuration.
* Fri Mar 14 2008 sbrabec@suse.cz
- Disable movement moved from gnome-panel to branding.
- Clean up of default configuration.
* Thu Mar 13 2008 sbrabec@suse.cz
- New SuSE package, collects all gconf vendor defaults
  (fate#301464, fate#301792).
- Included gnome-session-branding-openSUSE.
- Included default GNOME panel configuration (fate#301474).
